package com.mortals.xhx.module.dimension.model;
import com.mortals.xhx.module.dimension.model.vo.DimensionVo;
import lombok.Data;
/**
* 授权维度实体对象
*
* @author zxfei
* @date 2024-05-16
*/
@Data
public class DimensionEntity extends DimensionVo {
    private static final long serialVersionUID = 1L;

    /**
    * 维度编码
    */
    private String dimensionCode;
    /**
    * 维度名称
    */
    private String dimensionName;
    /**
    * 维度值
    */
    private String dimensionValue;
    /**
    * 维度类型(1.固定值,2.系统上下问变量)
    */
    private Integer dimensionType;
    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof DimensionEntity) {
            DimensionEntity tmp = (DimensionEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public void initAttrValue(){
            this.dimensionCode = "";
            this.dimensionName = "";
            this.dimensionValue = "";
            this.dimensionType = 1;
    }
}