package com.mortals.xhx.module.certificate.dao.ibatis;


import org.springframework.stereotype.Repository;
import com.mortals.xhx.module.certificate.dao.CertificateIndustryDao;
import com.mortals.xhx.module.certificate.model.CertificateIndustryEntity;
import java.util.Date;
import com.mortals.framework.dao.ibatis.BaseCRUDDaoMybatis;
import java.util.List;
/**
* 行业目录DaoImpl DAO接口
*
* @author zxfei
* @date 2024-08-08
*/
@Repository("certificateIndustryDao")
public class CertificateIndustryDaoImpl extends BaseCRUDDaoMybatis<CertificateIndustryEntity,Long> implements CertificateIndustryDao {


    @Override
    public List<CertificateIndustryEntity> selectChildrenCertificateIndustryById(String certificateIndustryId) {
        return getSqlSession().selectList(getSqlId("selectChildrenCertificateIndustryById"), certificateIndustryId);
    }

}
