package com.mortals.xhx.module.record.model.vo;

import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.record.model.RetainLogEntity;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
* 证照持有视图对象
*
* @author zxfei
* @date 2022-10-14
*/
@Data
public class RetainLogVo extends BaseEntityLong {
    /** 查询条件 */
    private String query;
    /** 子证联报状态 已联报数/子证总数 */
    private String processStatus;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;
    /** 开始 颁发时间 */
    private String issueTimeStart;

    /** 结束 颁发时间 */
    private String issueTimeEnd;
}